function dYfuncvecdV = ODEfun(V,Yfuncvec); 
T = Yfuncvec(1); 
Fc = Yfuncvec(2); 
Fb = Yfuncvec(3); 
Fa = Yfuncvec(4); 
% Explicit equations
k1a = 10 * exp(4000 * (1 / 300 - (1 / T))); 
k2a = 0.09 * exp(9000 * (1 / 300 - (1 / T))); 
Cto = 0.1; 
Ft = Fa + Fb + Fc; 
To = 423; 
Ca = Cto * Fa / Ft * To / T; 
Cb = Cto * Fb / Ft * To / T; 
Cc = Cto * Fc / Ft * To / T; 
r1a = 0 - (k1a * Ca); 
r2a = 0 - (k2a * Ca ^ 2); 
% Differential equations
dTdV = (4000 * (373 - T) + (0 - r1a) * 20000 + (0 - r2a) * 60000) / (90 * Fa + 90 * Fb + 180 * Fc); 
dFcdV = 0 - (r2a / 2); 
dFbdV = 0 - r1a; 
dFadV = r1a + r2a; 
dYfuncvecdV = [dTdV; dFcdV; dFbdV; dFadV]; 

